function alLoad(titulo) {
  /*Swal.fire({
    title: titulo,
    customClass: {
    popup: 'animated tada'
  },
    onBeforeOpen: () => {
      Swal.showLoading()
    }
  })*/
  Swal.fire({
    title: titulo,
  customClass: {
    container: 'hide-print',
    popup: 'hide-print'
  },
    onBeforeOpen: () => {
      Swal.showLoading()
    }
})
  /*Swal.fire({
    title: titulo,
    html: "Por favor espere ...",
    onBeforeOpen: () => {
      Swal.showLoading()
    }
  })*/
}

function alSuccess(json) {
  Swal.fire({
    icon: json.msg.type,
    title: json.msg.title,
    showConfirmButton: json.msg.showConfirmButton,
    timer: json.msg.timer,
  })
}

function alSuccessStop(json) {
  Swal.fire({
    icon: json.msg.type,
    title: json.msg.title,
    showConfirmButton: json.msg.showConfirmButton
  })
}

function alSuccessFocus(json, input) {
  Swal.fire({
    icon: json.msg.type,
    title: json.msg.title,
    showConfirmButton: json.msg.showConfirmButton,
    timer: json.msg.timer,
    focusConfirm: true,
  }).then((result) => {
    if (result.value) {
      input.focus();
    }
  })
}

function alError(json) {
  Swal.fire({
    icon: json.msg.type,
    title: json.msg.title,
    html: json.msg.text,
    confirmButtonText: json.msg.ok,
  })
}

function alErrorFocus(json, input) {
  Swal.fire({
    icon: json.msg.type,
    title: json.msg.title,
    html: json.msg.text,
    confirmButtonText: json.msg.ok,
    focusConfirm: true,
  }).then((result) => {
    if (result.value) {
      input.focus();
    }
  })
}

function alErrorFocusTimer(json, input) {
  Swal.fire({
    icon: json.msg.type,
    title: json.msg.title,
    html: json.msg.text,
    confirmButtonText: json.msg.ok,
    timer: json.msg.timer,
  }).then((result) => {
    if (result.value || result.dismiss === Swal.DismissReason.timer) {
      input.focus();
    }
  })
}

function alErrorTimer(json) {
  Swal.fire({
    icon: json.msg.type,
    title: json.msg.title,
    html: json.msg.text,
    confirmButtonText: json.msg.ok,
    timer: json.msg.timer,
  })
}

function alWarning(json) {
  Swal.fire({
    icon: "warning",
    title: json.msg.title,
    html: json.msg.text,
    confirmButtonText: "Aceptar",
  })
}

function alWarningFocus(json, input) {
  Swal.fire({
    icon: "warning",
    title: json.msg.title,
    html: json.msg.text,
    confirmButtonText: "Aceptar",
    focusConfirm: true,
  }).then((result) => {
    if (result.value) {
      input.focus();
    }
  })
}

function alWarningFocusTimer(json, input) {
  Swal.fire({
    icon: "warning",
    title: json.msg.title,
    html: json.msg.text,
    confirmButtonText: "Aceptar",
    timer: json.msg.timer,
  }).then((result) => {
    if (result.value || result.dismiss === Swal.DismissReason.timer) {
      input.focus();
    }
  })
}

function alWarningTimer(json) {
  Swal.fire({
    icon: "warning",
    title: json.msg.title,
    html: json.msg.text,
    confirmButtonText: "Aceptar",
    timer: json.msg.timer,
  })
}

function alClose() {
  Swal.fire({
    title: "",
    showConfirmButton: false,
    timer: 1,
  })
}

function alCloseFocus(input) {
  Swal.fire({
    title: "",
    showConfirmButton: false,
    timer: 1,
  })
  input.focus();
}

function alDelete(fn){
  Swal.fire({
    title: '¿Estás seguro?',
    icon: 'warning',
    showCancelButton: true,
    confirmButtonColor: '#3085d6',
    cancelButtonColor: '#d33',
    confirmButtonText: 'Sí',
    cancelButtonText: 'No'
  }).then((result) => {
    if (result.value) {
      fn();
    }
  })
}