function usuClave(fnTrue, fnFalse){
  Swal.mixin({
    input: 'password',
    showCancelButton: true,
    confirmButtonColor: '#3085d6',
    cancelButtonColor: '#d33',
    confirmButtonText: 'Autorizar',
    cancelButtonText: 'Cancelar',
  }).queue([{
      title: 'Contraseña',
      text: 'Por favor ingresa tu Contraseña'
  }]).then((result) => {
    if (result.value) {
      pwUsuClave = result.value[0];

      const parametros = {
        "action":"usuClave",
        "pwUsuClave":pwUsuClave
      };

      $.ajax({
        data:  parametros,
        url:   "passwords/trueOrFalse.php",
        type:  "post",
        beforeSend: function () {
          alLoad("Consultando...")
        },
        success: function (jsonPhp) {
          const jsonJS = JSON.parse(jsonPhp);

          if(jsonJS.resp==true){
            alClose();
            fnTrue();
          } else {
            alError({"msg":{"type":"error","title":"Contraseña Incorrecta","text":jsonJS.text, "ok":"Aceptar"}});
            fnFalse();
          }
        }
      });
    }
  })
}

function admClave(fnTrue, fnFalse){
  Swal.mixin({
    input: 'password',
    showCancelButton: true,
    confirmButtonColor: '#3085d6',
    cancelButtonColor: '#d33',
    confirmButtonText: 'Autorizar',
    cancelButtonText: 'Cancelar',
  }).queue([{
      title: 'Contraseña',
      text: 'Por favor ingresa tu Contraseña'
  }]).then((result) => {
    if (result.value) {
      pwUsuClave = result.value[0];

      const parametros = {
        "action":"admClave",
        "pwUsuClave":pwUsuClave
      };

      $.ajax({
        data:  parametros,
        url:   "passwords/trueOrFalse.php",
        type:  "post",
        beforeSend: function () {
          alLoad("Consultando...")
        },
        success: function (jsonPhp) {
          const jsonJS = JSON.parse(jsonPhp);

          if(jsonJS.resp==true){
            alClose();
            fnTrue();
          } else {
            alError({"msg":{"type":"error","title":"Contraseña Incorrecta","text":jsonJS.text, "ok":"Aceptar"}});
            fnFalse();
          }
        }
      });
    }
  })
}

function espClave(fnTrue, fnFalse){
  Swal.mixin({
    input: 'password',
    showCancelButton: true,
    confirmButtonColor: '#3085d6',
    cancelButtonColor: '#d33',
    confirmButtonText: 'Autorizar',
    cancelButtonText: 'Cancelar',
  }).queue([{
      title: 'Contraseña',
      text: 'Por favor ingresa tu Contraseña'
  }]).then((result) => {
    if (result.value) {
      pwUsuClave = result.value[0];

      const parametros = {
        "action":"espClave",
        "pwUsuClave":pwUsuClave
      };

      $.ajax({
        data:  parametros,
        url:   "passwords/trueOrFalse.php",
        type:  "post",
        beforeSend: function () {
          alLoad("Consultando...")
        },
        success: function (jsonPhp) {
          const jsonJS = JSON.parse(jsonPhp);

          if(jsonJS.resp==true){
            alClose();
            fnTrue();
          } else {
            alError({"msg":{"type":"error","title":"Contraseña Incorrecta","text":jsonJS.text, "ok":"Aceptar"}});
            fnFalse();
          }
        }
      });
    }
  })
}
