<!--
* CoreUI - Free Bootstrap Admin Template
* @version v2.1.10
* @link https://coreui.io
* Copyright (c) 2018 creativeLabs Łukasz Holeczek
* Licensed under MIT (https://coreui.io/license)
-->
<head>
	<base href="./../">
	<meta charset="utf-8">
	<meta name="theme-color" content="#1E1E2F" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
	<meta name="description" content="CoreUI - Open Source Bootstrap Admin Template">
	<meta name="author" content="Łukasz Holeczek">
	<meta name="keyword" content="Bootstrap,Admin,Template,Open,Source,jQuery,CSS,HTML,RWD,Dashboard">
	<title>AS-JIREH</title>

	<!-- jQuery -->
	<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
  
	<!-- Bootstrap-->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css" integrity="sha384-GJzZqFGwb1QTTN6wy59ffF1BuGJpLSa9DkKMp0DgiMDm4iYMj70gZWKYbI706tWS" crossorigin="anonymous" media='screen'>	

	<!-- Main styles for this application-->
	<link href="./../../design/src/css/style.css" rel="stylesheet" media='screen'>
	<link href="./../../design/src/vendors/pace-progress/css/pace.min.css" rel="stylesheet" media='screen'>

	<!-- Global site tag (gtag.js) - Google Analytics-->
	<script async="" src="https://www.googletagmanager.com/gtag/js?id=UA-118965717-3"></script>

	<!-- Icons-->
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css" integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">

	<!-- AS-->
	<link href="./../../css/as-jireh.css?ver=1.3.2" rel="stylesheet" media='screen'>
	<link href="./../../css/sidebar.css?ver=1.2.2" rel="stylesheet" media='screen'>
	<link href="./../../css/bootstrapPrint.css?ver=1.1.4" rel="stylesheet" media='print'>
	<link href="./css/custom.css?ver=1.1.3" rel="stylesheet" media='screen'>

	<link href="./../../css/print.css?ver=1.1.3" rel="stylesheet">
  	<script type="text/javascript" src="../../js/public.js?ver=1.0.1"></script>

	<!-- favicon-->
	<link rel="apple-touch-icon" sizes="180x180" href="../../img/favicon1/apple-touch-icon.png">
	<link rel="icon" type="image/png" sizes="32x32" href="../../img/favicon1/favicon-32x32.png">
	<link rel="icon" type="image/png" sizes="16x16" href="../../img/favicon1/favicon-16x16.png">
	<link rel="manifest" href="../../img/favicon1/site.webmanifest">
	<link rel="mask-icon" href="../../img/favicon1/safari-pinned-tab.svg" color="#5bbad5">
	<!--<meta name="msapplication-TileColor" content="#00aba9">
	<meta name="theme-color" content="#ffffff">-->

	<!-- Alert/Ajax -->
	<!--<script src="https://cdn.jsdelivr.net/npm/sweetalert2@7.33.1/dist/sweetalert2.all.min.js"></script>-->
	<!--<script src="https://cdn.jsdelivr.net/npm/sweetalert2"></script>-->
	<script src="https://cdn.jsdelivr.net/npm/sweetalert2@10.16.7/dist/sweetalert2.all.min.js"></script>
	<script src="https://cdn.jsdelivr.net/npm/sweetalert2@10.16.7/dist/sweetalert2.min.css"></script>
	<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<script>
		window.dataLayer = window.dataLayer || [];

		function gtag() {
			dataLayer.push(arguments);
		}
		gtag("js", new Date());
		// Shared ID
		gtag("config", "UA-118965717-3");
		// Bootstrap ID
		gtag("config", "UA-118965717-5");

		$(document).ready(function() {
			var el = document.querySelector('.sidebar-nav');

			const id = '<?php echo (isset($_GET["id"])) ? $_GET["id"] : ""; ?>';
			const gru = '<?php echo (isset($_GET["gru"])) ? $_GET["gru"] : ""; ?>';
			const scroll = <?php echo (isset($_GET["scroll"])) ? $_GET["scroll"] : 0; ?>;
			if (gru!="") {
				$('#'+gru+' > a')
				.next(".sidebar-submenu")
				.slideDown();
				$('#'+gru+' > a')
				.parent()
				.addClass("active");

				$('.sidebar-nav').animate( { scrollTop : scroll }, 500 );
				$('#'+gru+' > .sidebar-submenu > #'+id).addClass("arrow_box");
			}

			$(".sidebar-dropdown > a").click(function() {
    			$('sidebar-dropdown > a').data('clicked', true);
				$(".sidebar-submenu").slideUp(200);
				if (
					$(this)
					.parent()
					.hasClass("active")
				) {
					$(".sidebar-dropdown").removeClass("active");
					$(this)
					.parent()
					.removeClass("active");
				} else {
					$(".sidebar-dropdown").removeClass("active");
					$(this)
					.next(".sidebar-submenu")
					.slideDown(200);
					$(this)
					.parent()
					.addClass("active");
				}
			});

			$("button").click(function () {
			    $(this).data('clicked', true);
			});

			$(".sidebar-nav .sidebar-submenu a").click(function (){
				const oldUrl=$(this).attr("href");
				const scroll="&scroll="+(el.scrollTop).toString();
				$(this).attr("href", oldUrl+scroll);
			});
		});
	</script>
</head>