<?php
include_once('sessionStart.php');
include_once('db/dbExec.php');
include_once('functions.php');
include_once('privileges.php');

switch ($_POST['action']) {
	case 'usuClave':
		echo usuClave();
		break;

	case 'admClave':
		echo admClave();
		break;

	case 'espClave':
		echo espClave();
		break;
}

function usuClave() {
	$usuCod=utf8_decode($_SESSION['usuCod']);

	$pwUsuClave=utf8_decode($_POST['pwUsuClave']);

	# QUERYS
	$sUsuarios ="SELECT
				TRIM(usu_clave) AS usu_clave,
				usu_niv
				FROM usuarios WHERE usu_cod='$usuCod'";

	$sPasw ="SELECT
				TRIM(p_admin) AS p_admin
				FROM pasw";

	# EJECUCION DE QUERYS
	$db = new dbExec();
	$fetchAssoc["usuarios"] = $db->sFetchAssoc($sUsuarios);
	$fetchAssoc["pasw"] = $db->sFetchAssoc($sPasw);
	$db->close();

	$priv = new privileges();

	# SI NO TIENE LOS PRIVILEGIOS DE ELIMINAR ENTONCES SOLO ES VALIDA LA CLAVE DE ADMINISTRADOR, DE LO CONTRARIO SON VALIDAS LAS CLAVES DE ADMINISTRADOR Y DE USUARIO
	if (!$priv->delete($_SESSION['usuPriv'])) {
		$resp['resp'] = ($fetchAssoc["pasw"]["p_admin"] == $pwUsuClave && $pwUsuClave != "") ? true : false;
		$resp['text'] = "Esta contraseña no coincide con la contraseña de administrador, inténtalo de nuevo";
	} else {
		$resp['resp'] = ($fetchAssoc["usuarios"]["usu_clave"] == $pwUsuClave && $pwUsuClave != "") ? true : false;
		if (!$resp['resp']) {
			$resp['resp'] = ($fetchAssoc["pasw"]["p_admin"] == $pwUsuClave && $pwUsuClave != "") ? true : false;
		}
		$resp['text'] = "Esta contraseña no coincide con la contraseña de tu usuario, ni con la contraseña de administrador, inténtalo de nuevo";
	}

	return json_encode($resp);
}

function admClave() {
	$usuCod=utf8_decode($_SESSION['usuCod']);

	$pwUsuClave=utf8_decode($_POST['pwUsuClave']);

	# QUERYS
	$sPasw ="SELECT
				TRIM(p_admin) AS p_admin
				FROM pasw";

	# EJECUCION DE QUERYS
	$db = new dbExec();
	$fetchAssoc["pasw"] = $db->sFetchAssoc($sPasw);
	$db->close();

	$priv = new privileges();
	$resp['resp'] = ($fetchAssoc["pasw"]["p_admin"] == $pwUsuClave && $pwUsuClave != "") ? true : false;
	$resp['text'] = "Esta contraseña no coincide con la contraseña de administrador, inténtalo de nuevo";

	return json_encode($resp);
}
function espClave() {
	$usuCod=utf8_decode($_SESSION['usuCod']);

	$pwUsuClave=utf8_decode($_POST['pwUsuClave']);

	# QUERYS
	$sPasw ="SELECT
				TRIM(p_clagen) AS p_clagen,
				TRIM(p_admin) AS p_admin
				FROM pasw";

	# EJECUCION DE QUERYS
	$db = new dbExec();
	$fetchAssoc["pasw"] = $db->sFetchAssoc($sPasw);
	$db->close();

	$priv = new privileges();
	$resp['resp'] = ($fetchAssoc["pasw"]["p_clagen"] == $pwUsuClave && $pwUsuClave != "") ? true : false;
	if (!$resp['resp']) {
		$resp['resp'] = ($fetchAssoc["pasw"]["p_admin"] == $pwUsuClave && $pwUsuClave != "") ? true : false;
	}
	$resp['text'] = "Esta contraseña no coincide con la contraseña registrada para procesos especiales, inténtalo de nuevo";

	return json_encode($resp);
}
?>