<?php
include_once('../../../php/timezone.php');
include_once('../../../php/ntol/CifrasEnLetras.php');
class functions {
	#SE USABAN ANTES PARA ENVIAR VARIABLES PUBLICAS COMO POST EN VEZ DE SESSION
	/*function jsFuncOpc($form) {
		return "\tfunction $form(){ $('#formPublic').attr('action', '$form/').submit(); load(); }\n";
	}

	function htmlBtnOpc($form, $ico, $nom) {
		return '<button class="dropdown-item text-white text-wrap border-0" type="button" onclick="'.$form.'();return false;">'.$nom.'</button>';
	}*/

	function is_true($val, $return_null=false){
		$boolval = ( is_string($val) ? filter_var($val, FILTER_VALIDATE_BOOLEAN, FILTER_NULL_ON_FAILURE) : (bool) $val );
		return ( $boolval===null && !$return_null ? false : $boolval );
	}

	function htmlOpcA($form, $ico, $nom, $gru="empty") {
		return '<a id="'.$form.'" class="dropdown-item text-light text-wrap border-0" href="'.$form.'?opcNom='.$nom.'&gru='.$gru.'&id='.$form.'">'.$nom.'</a>';
	}

	function stringToBool($var){
		return ($var === 'false' || empty($var)) ? 0 : 1;
	}

	function addValues($obj, $json){
		if ($obj !== end($json)) {
			return ", ";
		}
		return "";
	}

	function addValuesSemicolon($obj, $json){
		if ($obj !== end($json)) {
			return ",\n";
		}
		return ";\n";
	}

	function dateDiff($menor, $mayor){	
		$date1 = new DateTime($mayor);
		$date2 = new DateTime($menor);
		return $date1->diff($date2);
	}

	function jsonEmpty($json){
		if (empty((array)$json)){
			return true;
		}
		return false;
	}

	function jsonEncodeArray($array, $exist){
		if ($array[$exist] !== null) {
			array_walk_recursive($array, function(&$item) {
				$item = utf8_encode($item); 
			});
			$array['error']=false;
		}
		return json_encode($array);
	}

	function jsonEncodeArrayEach($array, $exist){
		foreach ($exist as $key => $value) {
			if ($array[$value] != null || !empty($array[$value]) || $array[$value]!="") {
				array_walk_recursive($array, function(&$item) {
					$item = utf8_encode($item); 
				});
				$array['error']=false;
			} else {
				$array[$value]=null;
			}
		}
		return json_encode($array);
	}

	function multiSearch($parents, $searched) { 
		if (empty($searched) || empty($parents)) { 
			return -1; 
		} 

		foreach ($parents as $key => $value) { 
			$exists = true; 
			foreach ($searched as $skey => $svalue) { 
				$exists = ($exists && IsSet($parents[$key][$skey]) && $parents[$key][$skey] == $svalue); 
			} 
			if($exists){ return $key; } 
		} 

		return -1; 
	}

	function iBitacora($txtDescBit, $txtMod, $txtForm) { 
		$empCod = $_SESSION['empCod'];
		$usuCod = utf8_decode($_SESSION['usuCod']);
		$dtFec=date("Y-m-d", STRTOTIME(date('h:i:sa')));
		$dtHora=date("H:i:s", STRTOTIME(date('h:i:sa')));
		return "INSERT INTO bitacora(bit_emp, bit_fec, bit_hora, bit_desc, bit_usucod, bit_mod, bit_form) VALUES ('$empCod','$dtFec','$dtHora','$txtDescBit','$usuCod','$txtMod','$txtForm')";
	}

	function numLetras($number) {
	    $posicionPunto = strpos($number, '.');
	    if ($posicionPunto === false) $posicionPunto = strlen($number);
	    $cifrasDecimal = substr($number, min($posicionPunto + 1, strlen($number)));
		return mb_strtoupper(CifrasEnLetras::convertirNumeroEnLetras($number, 0, "quetzal","",false, "centavo"))." CON ".$cifrasDecimal."/100";
		//mb_strtoupper(CifrasEnLetras::convertirNumeroEnLetras((float)$numTot, 2, "quetzale","",false, "centavo"))
	}

	function imgCharacters($cod){
		// Para sustituir los caracteres no aceptados por numeros
		$charIncorrect = array('\\', '/', ':',  '*',  '?',  '"',  '<',  '>',  '|');
		foreach ($charIncorrect as $key => $value) {
			$cod = str_replace($value, $key, $cod);
		}
		return $cod;
	}
	
	function uploadEmpCod($emp, $cod, $file, $carpeta){
		$cod = functions::imgCharacters($cod);
		if (is_dir($carpeta)){
			$imagenTemporal = $file['tmp_name'];
			if (is_uploaded_file($imagenTemporal)) {
				$nombreArchivo = trim($emp)."_".trim($cod).'.jpeg';
				move_uploaded_file($imagenTemporal, $carpeta . '/' . $nombreArchivo);
			}
		} else {
			if(mkdir($carpeta, 0700)) {
				$imagenTemporal = $file['tmp_name'];
				if (is_uploaded_file($imagenTemporal)) {
					$nombreArchivo = trim($emp)."_".trim($cod).'.jpeg';
					move_uploaded_file($imagenTemporal, $carpeta . '/' . $nombreArchivo);
				}
			}
		}
	}
	
	function unlinkEmpCod($emp, $cod, $carpeta){
		$cod = functions::imgCharacters($cod);
		$nombreArchivo = trim($emp)."_".trim($cod).'.jpeg';
		unlink($carpeta . '/' . $nombreArchivo);
	}

	function upload($emp, $cod, $file, $carpeta){
		if (is_dir($carpeta)){
			if (!isset($file)) {
				$resp = array(
					'error'=>true,
					'msg'=>array(
						'type'=>'error',
						'title'=>'Error',
						'text'=>'No se ha seleccionado ninguna imagen',
						'ok'=>'Aceptar',
					),
				);
			}else{
				$imagenTemporal = $file['tmp_name'];
				if (is_uploaded_file($imagenTemporal)) {
					//$imageFileType = pathinfo($_FILES['file']['name'],PATHINFO_EXTENSION); #Extensión de imagen
					$nombreArchivo = trim($emp)."_".trim($cod).'.jpeg';
					move_uploaded_file($imagenTemporal, $carpeta . '/' . $nombreArchivo);
					$resp = array(
						'error'=>false,
						'msg'=>array(
							'type'=>'success',
							'title'=>'Imagen Guardada',
							'showConfirmButton'=>false,
							'timer'=>1250,
						),
					);
				}
			}
		}else{
			$resp = array(
				'error'=>true,
				'msg'=>array(
					'type'=>'error',
					'title'=>'Error',
					'text'=>'No se guardo la imagen, debido a que la carpeta destino no existe',
					'ok'=>'Aceptar',
				),
			);
		}
	}
}
?>