<?php
class privileges {
	function deleteUser($value) {
		return ($value & 16) ? true : false;
	}
	function modifyUser($value) {
		return ($value & 8) ? true : false;
	}
	function delete($value) {
		return ($value & 4) ? true : false;
	}
	function modify($value) {
		return ($value & 2) ? true : false;
	}
	function consult($value) {
		return ($value & 1) ? true : false;
	}

	public function rErrorDeleteUser() {
		return array(
			'errno'=>3,
			'error'=>true,
			'msg'=>array(
			    'type'=>'error',
			    'title'=>'10000: Eliminación de Usuarios',
		  		'text'=>'Su usuario no tiene permiso para eliminar usuarios',
		    	'ok'=>'Aceptar',
		    	'timer'=>1250,
		  ),
		);
	}

	public function rErrorModifyUser() {
		return array(
			'errno'=>3,
			'error'=>true,
			'msg'=>array(
			    'type'=>'error',
			    'title'=>'01000: Modificación de Usuarios',
		  		'text'=>'Su usuario no tiene permiso para modificar usuarios',
		    	'ok'=>'Aceptar',
		    	'timer'=>1250,
		  ),
		);
	}

	public function rErrorDelete() {
		return array(
			'errno'=>3,
			'error'=>true,
			'msg'=>array(
			    'type'=>'error',
			    'title'=>'00100: Eliminación de Datos',
		  		'text'=>'Su usuario no tiene permiso para eliminar datos',
		    	'ok'=>'Aceptar',
		    	'timer'=>1250,
		  ),
		);
	}

	public function rErrorModify() {
		return array(
			'errno'=>2,
			'error'=>true,
			'msg'=>array(
			    'type'=>'error',
			    'title'=>'00010: Modificación de Datos',
		  		'text'=>'Su usuario no tiene permiso para modificar datos',
		    	'ok'=>'Aceptar',
		    	'timer'=>1250,
		  ),
		);
	}

	public function rErrorConsult() {
		return array(
			'errno'=>1,
			'error'=>true,
			'msg'=>array(
			    'type'=>'error',
			    'title'=>'00001: Consultar Datos',
		  		'text'=>'Su usuario no tiene permiso para consultar datos',
		    	'ok'=>'Aceptar',
		    	'timer'=>1250,
		  ),
		);
	}
}
?>